## adacontrol 1.4r20

=== src/Makefile ===
###############################################################################
# Set PATH to ASIS library below

ASIS_TOP = /usr/gnat/asis/

###############################################################################
# Depending on your version of ASIS, the ASIS directory  may be split into  
# several directories or not

# ASIS_INCLUDE = ${ASIS_TOP}
# ASIS_OBJ = ${ASIS_TOP}
# ASIS_LIB = ${ASIS_TOP}

ASIS_INCLUDE = ${ASIS_TOP}/src
ASIS_OBJ = ${ASIS_TOP}/obj
ASIS_LIB = ${ASIS_TOP}/lib

###############################################################################
# SYSTEM COMMANDS (do not change)

W32_RM   = del /q /s /f
W32_SEP  = \\
W32_EXT  = .exe

UNIX_RM  = rm -f
UNIX_SEP = /
UNIX_EXT =


###############################################################################
# Choose your system by adding/removing comment tags

#RM  = ${W32_RM}
#SEP = ${W32_SEP}
#EXT = ${W32_EXT}

RM  = ${UNIX_RM}
SEP = ${UNIX_SEP}
EXT = ${UNIX_EXT}


###############################################################################
# GNAT options, adjust to your taste

GARGS = -v -gnatf -gnatwa -aI${ASIS_INCLUDE} -aO${ASIS_OBJ} -g
CARGS = -cargs -O2 -gnatWh
BARGS = -bargs -E
LARGS = -largs -L${ASIS_LIB} -largs -lasis


###############################################################################
# Do not change anything below this line

.PHONY : *

help :
	@echo "---------------------------------------------------------------"
	@echo "--                                                           --"
	@echo "--    make <entry>                                           --"
	@echo "--                                                           --"
	@echo "--    <entry> ::= help       -- print this message           --"
	@echo "--              | build      -- build all executables        --"
	@echo "--              | adactl     -- build adactl                 --"
	@echo "--              | ptree      -- build ptree                  --"
	@echo "--              | pfni       -- build pfni                   --"
	@echo "--              | clean      -- delete object files          --"
	@echo "--              | veryclean  -- clean + delete executable    --"
	@echo "--                                                           --"
	@echo "---------------------------------------------------------------"


build : adactl ptree pfni;

adactl :
	gnatmake adactl ${GARGS} ${CARGS} ${BARGS} ${LARGS}

ptree :
	gnatmake ptree ${GARGS} ${CARGS} ${BARGS} ${LARGS}

pfni :
	gnatmake pfni ${GARGS} ${CARGS} ${BARGS} ${LARGS}

clean :
	- ${RM} *.o *.ali b~*

veryclean : clean
	- ${RM} *~ adactl${EXT} *~ ptree{EXT} *~ pfni{EXT}

% :
	gnatmake $@ ${GARGS} -gnatc ${CARGS} ${BARGS}

## adacontrol 1.6r8

=== src/Makefile ===
--- 
+++ 
@@ -1,29 +1,34 @@
 ###############################################################################
-# Set PATH to ASIS library below
+# Set PATH to ASIS library below (default corresponds to the case where you
+# installed ASIS in the Gnat directory)
 
-ASIS_TOP = /usr/gnat/asis/
+ASIS_TOP = /usr/gnat/
 
 ###############################################################################
 # Depending on your version of ASIS, the ASIS directory  may be split into  
-# several directories or not
+# several directories or not. Uncomment the set of declarations that matches
+# your installation (default corresponds to the current versions of GnatPro and
+# GnatGPL):
 
 # ASIS_INCLUDE = ${ASIS_TOP}
 # ASIS_OBJ = ${ASIS_TOP}
 # ASIS_LIB = ${ASIS_TOP}
 
-ASIS_INCLUDE = ${ASIS_TOP}/src
-ASIS_OBJ = ${ASIS_TOP}/obj
-ASIS_LIB = ${ASIS_TOP}/lib
+# ASIS_INCLUDE = ${ASIS_TOP}/src
+# ASIS_OBJ = ${ASIS_TOP}/obj
+# ASIS_LIB = ${ASIS_TOP}/lib
+
+ASIS_INCLUDE = ${ASIS_TOP}/include/asis
+ASIS_OBJ = ${ASIS_TOP}/lib/asis
+ASIS_LIB = ${ASIS_TOP}/lib/asis
 
 ###############################################################################
 # SYSTEM COMMANDS (do not change)
 
 W32_RM   = del /q /s /f
-W32_SEP  = \\
 W32_EXT  = .exe
 
 UNIX_RM  = rm -f
-UNIX_SEP = /
 UNIX_EXT =
 
 
@@ -31,21 +36,19 @@
 # Choose your system by adding/removing comment tags
 
 #RM  = ${W32_RM}
-#SEP = ${W32_SEP}
 #EXT = ${W32_EXT}
 
 RM  = ${UNIX_RM}
-SEP = ${UNIX_SEP}
 EXT = ${UNIX_EXT}
 
 
 ###############################################################################
 # GNAT options, adjust to your taste
 
-GARGS = -v -gnatf -gnatwa -aI${ASIS_INCLUDE} -aO${ASIS_OBJ} -g
-CARGS = -cargs -O2 -gnatWh
+GARGS = -gnatf -gnatwa -aI${ASIS_INCLUDE} -aO${ASIS_OBJ} -g
+CARGS = -cargs -O2 -gnatWh -gnat95 -gnato
 BARGS = -bargs -E
-LARGS = -largs -L${ASIS_LIB} -largs -lasis
+LARGS = -largs -L${ASIS_LIB} -lasis
 
 
 ###############################################################################
@@ -84,7 +87,7 @@
 	- ${RM} *.o *.ali b~*
 
 veryclean : clean
-	- ${RM} *~ adactl${EXT} *~ ptree{EXT} *~ pfni{EXT}
+	- ${RM} *~ adactl${EXT} *~ ptree${EXT} *~ pfni${EXT}
 
 % :
 	gnatmake $@ ${GARGS} -gnatc ${CARGS} ${BARGS}

## adacontrol 1.12r4

=== src/Makefile ===
--- 
+++ 
@@ -50,6 +50,8 @@
 BARGS = -bargs -E
 LARGS = -largs -L${ASIS_LIB} -lasis
 
+# Uncomment the following line if you are running GnatPro 6.1.2 or above
+#CARGS_EXTRA = ${CARGS} -fno-tree-vrp
 
 ###############################################################################
 # Do not change anything below this line
@@ -75,13 +77,13 @@
 build : adactl ptree pfni;
 
 adactl :
-	gnatmake adactl ${GARGS} ${CARGS} ${BARGS} ${LARGS}
+	gnatmake adactl ${GARGS} ${CARGS} ${CARGS_EXTRA} ${BARGS} ${LARGS}
 
 ptree :
-	gnatmake ptree ${GARGS} ${CARGS} ${BARGS} ${LARGS}
+	gnatmake ptree ${GARGS} ${CARGS} ${CARGS_EXTRA} ${BARGS} ${LARGS}
 
 pfni :
-	gnatmake pfni ${GARGS} ${CARGS} ${BARGS} ${LARGS}
+	gnatmake pfni ${GARGS} ${CARGS} ${CARGS_EXTRA} ${BARGS} ${LARGS}
 
 clean :
 	- ${RM} *.o *.ali b~*
@@ -90,7 +92,7 @@
 	- ${RM} *~ adactl${EXT} *~ ptree${EXT} *~ pfni${EXT}
 
 % :
-	gnatmake $@ ${GARGS} -gnatc ${CARGS} ${BARGS} 
+	gnatmake $@ ${GARGS} -gnatc ${CARGS} ${CARGS_EXTRA} ${BARGS}

## adacontrol 1.16r11

=== debian/changelog ===
adacontrol (1.16r11-4) unstable; urgency=medium

  * Not only set clock from deb log, but also freeze it so that PDF
    timestamps do not depend on the time spent in previous tasks.
  * patches/ascii-ug-for-texinfo.diff closes: #790527.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 12 Jul 2015 20:40:26 +0200

adacontrol (1.16r11-3) unstable; urgency=medium

  * Embed date from debian changelog in docs, for reproducible builds.
  * patches/adapt_test_to_debian.diff: accept new gcc x.y.z output.
  * patches/avoid-tests-depending-on-glob-order.diff: new.
  * Let autopkg run upstream tests, except failing t_representation_clauses.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 27 Apr 2015 18:33:43 +0200

adacontrol (1.16r11-2) unstable; urgency=medium

  * patches/adapt_test_to_debian.diff thanks to upstream author.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 28 Oct 2014 01:24:18 +0100

adacontrol (1.16r11-1) unstable; urgency=medium

  * New upstream release built with gnat4.9 asis2014. Closes: #747558, #755008.
  * Switch to source format 3.0 (quilt) and debhelper 9.
  * control: Uploaders+=myself Standards-Version=3.9.6 Vcs-*
    Build-Depends: texlive-fonts-recommended for EC fonts.
  * watch: new, thanks to Bart Martens.
  * Reformat docs, register with doc-base.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 02:19:52 +0200

adacontrol (1.12r4-3) unstable; urgency=low

  * Lintian cleaning.
  * debian/copyright: DEP-5.
  * Make the package compatible with dpkg-buildpackage -A, -B.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 15 Feb 2012 23:21:13 +0100

adacontrol (1.12r4-2) unstable; urgency=low

  * Recompile with gnat-4.6 and asis 2010.
  * debian/control (Architecture): any.
    (Standards-Version): bump to 3.9.2 with no changes required.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  6 Sep 2011 12:01:15 +0200

adacontrol (1.12r4-1) unstable; urgency=low

  * New upstream release: minor bug fixes and documentation updates.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  3 Aug 2010 19:33:56 +0200

adacontrol (1.12r3-1) unstable; urgency=low

  * Final release from upstream.
  * Install GPS/adacontrol.xml in the gprbuild plug-in directory.
  * debian/control (Enhances): add gprbuild.
  * debian/patches/gps-integration.patch: adjust to the new upstream release.
  * debian/patches/566061.patch: remive, applied upstream.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  8 May 2010 19:32:57 +0200

adacontrol (1.12~b1-1) unstable; urgency=low

  * New upstream beta version.  Really closes: #566061 even on i386.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 13 Mar 2010 14:01:37 +0100

adacontrol (1.11r4-1) unstable; urgency=low

  * New upstream version.  Closes: #566061. 
  * debian/control (Build-Depends): upgrade to gnat-4.4, libasis2008-dev.
    (Architecture): disable alpha due to http://gcc.gnu.org/PR42073.
  * debian/patches/*.patch: adjust to the new upstream version.
  * debian/patches/566061.patch: new, thanks to Jean-Pierre Rosen.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 11 Mar 2010 18:51:08 +0100

adacontrol (1.9r4-5) unstable; urgency=medium
  
  * debian/control (Architecture): temporarily disable mips due to
    #566234.  Add armel; closes: #568432.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 22:51:26 +0100
  

adacontrol (1.9r4-4) unstable; urgency=low

  * debian/control (Build-Depends): upgrade to gnat-4.4, libasis2008-dev.
    (Architecture): disable alpha due to http://gcc.gnu.org/PR42073.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  6 Dec 2009 21:41:48 +0100

adacontrol (1.9r4-3) unstable; urgency=low

  * debian/control (Standards-Version): bump to 3.8.3.
  (Depends): add ${misc:Depends}, fixes two lintian warnings.
  (Description): do not use more than 80 characters per line.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Sep 2009 00:05:44 +0200

adacontrol (1.9r4-2) unstable; urgency=low

  [Raphael Hertzog]
  * Move patches to debian/patches and adjust build system accordingly to
    be compatible with source format 3.0 (quilt). Closes: #485101

  [Ludovic Brenta]
  * debian/control (Architectures): add kfreebsd-amd64.  Closes: #542410.
    (Source-Version): bump to 3.8.1.
  * debian/compat: bump to 7 (from 5).
  * Recompile against libasis (=2007-5).  Closes: #518726.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 10 Sep 2009 21:31:20 +0200

adacontrol (1.9r4-1) unstable; urgency=low

  * New upstream version.
  * debian/control: prevent the list in the description from being
    reformatted.  Thanks to Simon Huggins for reporting.  Closes: #480315.
    (Standards-Version): bump to 3.7.3 with no changes required.
  * debian/compat: new.
  * debian/rules: do not export DH_COMPAT anymore.
  * debian/adactl.1: update.
  * debian/copyright: remove the "special exception" text, since adacontrol
    is linked with libasis2007 which is pure GPL.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 13 May 2008 22:55:37 +0200

adacontrol (1.8r8-1) unstable; urgency=low

  * New upstream version.
  * debian/adacontrol.gpr: delete; use upstream's project file instead.
  * patches/build.patch: patch upstream's project file to change Object_Dir
    and Exec_Dir.
  * Build-depend on asis 2007 and gnat-4.3.
  * Add support for mips, mipsel and ppc64.
  * Build and provide ptree.
  * ptree.1: new.
  * adactl.1: update; new options and rules are available.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 27 Apr 2008 16:33:11 +0200

adacontrol (1.6r8-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add a copyright statement.  Use all available CPUs to
    build.  Install predefined rules files in /usr/share/adacontrol.
  * debian/adacontrol.gpr: work around a compiler (GCC 4.1) bug triggered
    by two of AdaControl's source files.
  * debian/README.Debian: new; explain about the predefined rule files.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed,  6 Dec 2006 19:59:00 +0100



=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for adacontrol.
# Copyright (c) 2006, 2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2015 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL on Debian systems.

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk

ADAFLAGS += -gnatwa

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@

# No upstream build system.
.PHONY: $(addprefix override_dh_auto_,configure build clean install test)

override_dh_auto_build: project $(foreach s,pm ug,$(foreach f,html info pdf txt,doc/obj/adacontrol_$(s).$(f)))

.PHONY: project
project: | src/exe src/obj
	gnatmake $(BUILDER_OPTIONS) -Psrc/build.gpr -cargs $(ADAFLAGS) -largs $(LDFLAGS)

# Faketime allows reproducible builds, see
# https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
# In addition, this source uses @today so all formats should be tricked.
# Freeze clock so that timestamps do not depend on the time spent to
# generate previous documents.
DEB_DATE_RFC_2822 := $(shell dpkg-parsechangelog -S date)
DEB_DATE_RFC_3339 := $(shell date "+%F %T" -d "$(DEB_DATE_RFC_2822)")
TEXI2ANY          := faketime -f "$(DEB_DATE_RFC_3339)" texi2any

doc/obj/%.html: doc/%.texi | doc/obj
	$(TEXI2ANY) --html --no-split $< --output=$@
doc/obj/%.info: doc/%.texi | doc/obj
	$(TEXI2ANY) --info --no-split $< --output=$@
doc/obj/%.pdf : doc/%.texi | doc/obj
	cd doc/obj && \
	$(TEXI2ANY) --pdf --no-iftex --Xopt --quiet ../$*.texi --output=$*.pdf \
	  --Xopt --command=@afourpaper
doc/obj/%.txt : doc/%.texi | doc/obj
	$(TEXI2ANY) --plaintext $< --output=$@

doc/obj src/exe src/obj:
	mkdir $@
override_dh_auto_clean:
	rm -fr doc/obj src/exe src/obj

override_dh_install:
	dh_install
	dh_install $(filter-out GPS/adacontrol.xml,$(wildcard GPS/*)) \
	   /usr/share/gps/plug-ins

# Adactl cannot open compressed rules.
# PDF files are already internally compressed.
.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --exclude=.aru --exclude=.pdf

# This file exists in upstream archive, do not remove it.
# This should be fixed in 1.16r12.
.PHONY: override_dh_clean
override_dh_clean:
	dh_clean --exclude=test/ref/t_allocators.txt.bak

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, bash

## adacontrol 1.17r3.1

=== src/Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 # GNAT options, adjust to your taste
 
 GARGS = -gnatf -gnatwa -aI${ASIS_INCLUDE} -aO${ASIS_OBJ} -g
-CARGS = -cargs -O2 -gnatWh -gnat95 -gnato
+CARGS = -cargs -O2 -gnatWh -gnat05 -gnato
 BARGS = -bargs -E
 LARGS = -largs -L${ASIS_LIB} -lasis

=== debian/changelog ===
adacontrol (1.17r3.1-4) unstable; urgency=medium

  * no-E-binder-option-to-avoid-666106.diff closes: 833026.
  * Update watch file to version 4 and new ustream URL.
  * test-allow-sh-noglob.diff allows the tests to run twice in a row.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Aug 2016 18:10:58 +0200

adacontrol (1.17r3.1-3) unstable; urgency=medium

  * Update representation clause test for Ada 2005. Closes: #823369.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 May 2016 10:05:18 +0200

adacontrol (1.17r3.1-2) unstable; urgency=medium

  * Rebuild with gnat-6 and libasis2015-dev.
    Replace gnatmake with gprbuild, as the former is dropping project support.
  * Split adacontrol into adacontrol and adacontrol-doc.
  * Enable all hardening flags.
    Avoid mixing -cargs and Compiler_Switches, put LDFLAGS before libraries.
  * Stop the build if a test fails.
  * Emulate adapt_test_to_debian.diff without the need for manual updates.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 May 2016 02:43:52 +0200

adacontrol (1.17r3.1-1) unstable; urgency=medium

  * Same upstream release, but tarball includes COPYING, HISTORY, readme.txt.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 Nov 2015 10:39:00 +0100

adacontrol (1.17r3-1) unstable; urgency=medium

  * New upstream release.
  * rules, patches/build: stay closer to upstream build system.
  * rules, adacontrol.install: more readable as an override in rules.
  * docs: install support.txt as described in man page.
  * patches/fix-texinfo: avoid mentioning version in the patch context.
  * patches/test-with-posix-shell: avoid build-dependency on bash.
  * Basic run time test every few days, full test suite after the build.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 12 Nov 2015 21:49:28 +0100

=== debian/control ===
Source: adacontrol
Homepage: http://www.adalog.fr/adacontrol2.htm
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.8
Build-Depends: gnat (>= 4.9),
# gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
 libasis2015-dev,
# gprbuild handling gnat-6
 gprbuild (>= 2015-2),
 debhelper (>= 9), dpkg-dev (>= 1.16.1)
# dpkg-dev: /usr/share/dpkg/default.mk
Build-Depends-Indep:
 faketime,
# https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
 texinfo, texlive-base, texlive-generic-recommended, texlive-latex-base,
 texlive-fonts-recommended
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.adacontrol
Vcs-Mtn: www.ada-france.org org.debian.adacontrol

Package: adacontrol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: gnat-gps, gprbuild
Suggests: adacontrol-doc
Description: Ada rules controller
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package also contains the following utilities:
 .
  * pfni: Print Full Name Image - expands any identifier to a fully-qualified
    name
  * ptree: Prints a graphic representation of an ASIS tree with corresponding
    source

Package: adacontrol-doc
Section: doc
Architecture: all
Replaces: adacontrol (<< 1.17r3.1-2)
Breaks: adacontrol (<< 1.17r3.1-2)
Depends: ${misc:Depends}
Suggests: gnat, adacontrol
Description: Ada rules controller (documentation)
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for adacontrol.
 # Copyright (c) 2006, 2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2014-2015 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2016 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,10 +16,13 @@
 # The full text of the GNU General Public License is in the file
 # /usr/share/common-licenses/GPL on Debian systems.
 
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging.mk
+include /usr/share/ada/debian_packaging*.mk
 
 ADAFLAGS += -gnatwa
+
+BINARIES := adactl pfni ptree
 
 POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
   build-indep clean
@@ -27,14 +30,22 @@
 $(POLICY_TARGETS):
 	dh $@
 
-# No upstream build system.
-.PHONY: $(addprefix override_dh_auto_,configure build clean install test)
+.PHONY: $(addprefix override_dh_auto_, \
+  configure build-arch build-indep test-arch test-indep install clean)
 
-override_dh_auto_build: project $(foreach s,pm ug,$(foreach f,html info pdf txt,doc/obj/adacontrol_$(s).$(f)))
+override_dh_auto_build-arch:
+	gprbuild $(BUILDER_OPTIONS) src/build.gpr \
+	  $(foreach v,ADAFLAGS LDFLAGS,"-X$(v)=$($(v))")
+override_dh_auto_clean::
+	rm -f $(addprefix src/, *.ali *.o *.adt auto.cgpr \
+                $(foreach b, $(BINARIES), \
+                  b~$(b).ad[bs] b__$(b).ad[bs] $(b).bexch $(b)))
 
-.PHONY: project
-project: | src/exe src/obj
-	gnatmake $(BUILDER_OPTIONS) -Psrc/build.gpr -cargs $(ADAFLAGS) -largs $(LDFLAGS)
+override_dh_auto_build-indep: $(foreach s, pm ug, \
+                              $(foreach f, html info pdf txt, \
+                              doc/obj/adacontrol_$(s).$(f)))
+override_dh_auto_clean::
+	rm -fr doc/obj
 
 # Faketime allows reproducible builds, see
 # https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
@@ -56,24 +67,38 @@
 doc/obj/%.txt : doc/%.texi | doc/obj
 	$(TEXI2ANY) --plaintext $< --output=$@
 
-doc/obj src/exe src/obj:
+doc/obj:
 	mkdir $@
-override_dh_auto_clean:
-	rm -fr doc/obj src/exe src/obj
 
+override_dh_auto_test-arch:
+	cd test && sh -Cefu run.sh
+override_dh_auto_clean::
+	rm -fr test/res
+	rm -f $(addprefix test/,*.ali *.adt)
+
+GNAT_VERSION := $(shell gnat --version | head -n1)
+override_dh_auto_test-arch: test/ref/tfw_help.txt~
+test/ref/tfw_help.txt~:
+	sed -i~ \
+	  '/^ADACTL .* with ASIS .* for GNAT .*/s/GNAT .*/$(GNAT_VERSION)/' \
+	  test/ref/tfw_help.txt
+override_dh_auto_clean::
+	if test -f test/ref/tfw_help.txt~; then \
+	  mv test/ref/tfw_help.txt~ test/ref/tfw_help.txt; \
+	fi
+
+.PHONY: override_dh_install
 override_dh_install:
-	dh_install
-	dh_install $(filter-out GPS/adacontrol.xml,$(wildcard GPS/*)) \
-	   /usr/share/gps/plug-ins
+	dh_install --package=adacontrol $(addprefix src/, $(BINARIES)) usr/bin
+	dh_install --package=adacontrol GPS/adacontrol.xml usr/share/gprconfig
+	dh_install --package=adacontrol \
+	  $(filter-out GPS/adacontrol.xml,$(wildcard GPS/*)) usr/share/gps/plug-ins
+	dh_install --remaining-packages
 
 # Adactl cannot open compressed rules.
 # PDF files are already internally compressed.
 .PHONY: override_dh_compress
 override_dh_compress:
-	dh_compress --exclude=.aru --exclude=.pdf
-
-# This file exists in upstream archive, do not remove it.
-# This should be fixed in 1.16r12.
-.PHONY: override_dh_clean
-override_dh_clean:
-	dh_clean --exclude=test/ref/t_allocators.txt.bak
+	dh_compress --package=adacontrol --exclude=.aru
+	dh_compress --package=adacontrol-doc --exclude=.pdf
+	dh_compress --remaining-packages

=== debian/watch ===
version=4

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/adacontrol/adactl@ANY_VERSION@-src@ARCHIVE_EXT@

## adacontrol 1.18r9

=== debian/changelog ===
adacontrol (1.18r9-2) unstable; urgency=medium

  * Rebuild with libraries updated for gcc-7.
  * disable-*-test.diff: temporary disable two failing tests.
  * Adapt install and clean of info files to --no-split option.
  * Update Homepage, Vcs-Mtn, texlive-generic package name.
  * Drop explicit rules targets confusing dh. Fix gcc version parsing.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 11 Aug 2017 20:19:34 +0200

adacontrol (1.18r9-1) unstable; urgency=medium

  * New upstream release. Now depends on libgnatcoll.
    Repackage without preformatted documentation.
  * Switch to debhelper 10.
  * Standards-Version 4.0.0. Handle DEB_BUILD_OPTIONS=nodoc.
  * Pdflatex now produce a reproductible output without faketime.
  * Allow -doc package to satisfy Multi-Arch foreign dependencies.
  * Upstream now rebuilds all docs in its own Makefile.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Jun 2017 21:13:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: adacontrol
-Homepage: http://www.adalog.fr/adacontrol2.htm
+Homepage: http://www.adalog.fr/en/adacontrol.html
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Build-Depends: gnat (>= 4.9),
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
- libasis2015-dev,
+ libasis2017-dev,
+ libgnatcoll16.1.0-dev,
 # gprbuild handling gnat-6
  gprbuild (>= 2015-2),
- debhelper (>= 9), dpkg-dev (>= 1.16.1)
+ debhelper (>= 10), dpkg-dev (>= 1.16.1)
 # dpkg-dev: /usr/share/dpkg/default.mk
 Build-Depends-Indep:
- faketime,
-# https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
- texinfo, texlive-base, texlive-generic-recommended, texlive-latex-base,
+ texinfo, texlive-base, texlive-plain-generic, texlive-latex-base,
  texlive-fonts-recommended
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.adacontrol
-Vcs-Mtn: www.ada-france.org org.debian.adacontrol
+Vcs-Mtn: mtn://www.ada-france.org?org.debian.adacontrol
 
 Package: adacontrol
 Architecture: any
@@ -42,6 +41,7 @@
 Package: adacontrol-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Replaces: adacontrol (<< 1.17r3.1-2)
 Breaks: adacontrol (<< 1.17r3.1-2)
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for adacontrol.
# Copyright (c) 2006-2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2017 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL on Debian systems.

gnatgcc_base_version := $(shell gnatgcc -dumpversion)
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(gnatgcc_base_version).mk
ADAFLAGS += -gnatwa

%:
	dh $@

.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test-arch test-indep install clean)

override_dh_auto_build-arch:
	$(MAKE) build 'CARGS=$(ADAFLAGS)' \
	  'GARGS=$(BUILDER_OPTIONS) "-XLDFLAGS=$(LDFLAGS)"'
override_dh_auto_clean::
	$(MAKE) veryclean

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc
endif
override_dh_auto_clean::
	rm -f \
	  doc/adacontrol_??.html \
	  doc/adacontrol_??.info \
	  doc/adacontrol_??.txt \
	  doc/adacontrol_??.pdf

override_dh_auto_test-arch:
	cd test && sh -e run.sh
override_dh_auto_clean::
	rm -fr test/res
	rm -f $(addprefix test/,*.ali *.adt)

GNAT_VERSION := $(shell gnat --version | head -n1)
override_dh_auto_test-arch: test/ref/tfw_help.txt~
test/ref/tfw_help.txt~:
	sed -i~ \
	  's/^\(ADACTL v\. \).*\( with ASIS .* for \)GNAT .*/\1$(DEB_VERSION_UPSTREAM)\2$(GNAT_VERSION)/' \
	  test/ref/tfw_help.txt
override_dh_auto_clean::
	if test -f test/ref/tfw_help.txt~; then \
	  mv test/ref/tfw_help.txt~ test/ref/tfw_help.txt; \
	fi

# Adactl cannot open compressed rules.
# PDF files are already internally compressed.
.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=adacontrol --exclude=.aru
	dh_compress --package=adacontrol-doc --exclude=.pdf
	dh_compress --remaining-packages

## adacontrol 1.19r10

=== Makefile ===
###############################################################################
# GNAT options, adjust to your taste
# GARGS: general (gprbuild) options
# CARGS, BARGS, LARGS: content of -cargs, -bargs, -largs options
# Note that these override the options in build.gpr
GARGS = 
CARGS = 
BARGS =  
LARGS =  


###############################################################################
# Do not change anything below this line

.PHONY : *

help :
	@echo "---------------------------------------------------------------"
	@echo "--                                                           --"
	@echo "--    make <entry>                                           --"
	@echo "--                                                           --"
	@echo "--    <entry> ::= help       -- print this message           --"
	@echo "--              | build      -- build all executables        --"
	@echo "--              | adactl     -- build adactl                 --"
	@echo "--              | ptree      -- build ptree                  --"
	@echo "--              | pfni       -- build pfni                   --"
	@echo "--              | install    -- install everything           --"
	@echo "--              | clean      -- delete object files          --"
	@echo "--              | veryclean  -- clean + delete executable    --"
	@echo "--                                                           --"
	@echo "---------------------------------------------------------------"


build : adactl ptree pfni;

adactl :
	gprbuild build.gpr adactl ${GARGS} -cargs ${CARGS} -bargs ${BARGS} -largs ${LARGS}

ptree :
	gprbuild build.gpr ptree  ${GARGS} -cargs ${CARGS} -bargs ${BARGS} -largs ${LARGS}

pfni :
	gprbuild build.gpr pfni   ${GARGS} -cargs ${CARGS} -bargs ${BARGS} -largs ${LARGS}

install :
	gprinstall build.gpr -f

clean :
	gprclean -c build.gpr

veryclean : clean
	gprclean build.gpr

=== doc/Makefile ===
# doc/Makefile
TEXI := $(wildcard *.texi)
HTML := $(subst .texi,.html,$(TEXI))
INFO := $(subst .texi,.info,$(TEXI))
PDF  := $(subst .texi,.pdf, $(TEXI))
TXT  := $(subst .texi,.txt, $(TEXI))
docs: $(HTML) $(INFO) $(PDF) $(TXT)
$(HTML): %.html: %.texi
	texi2any --output=$@ --html --no-split $<
$(INFO): %.info: %.texi
	texi2any --output=$@ --info --no-split $<
$(PDF): %.pdf: %.texi
	texi2any --output=$@ --pdf --no-iftex --Xopt --quiet --Xopt --build=clean $<
$(TXT): %.txt: %.texi
	texi2any --output=$@ --plaintext $<

=== debian/changelog ===
adacontrol (1.19r10-2) unstable; urgency=medium

  * Remove remaining calls to Build-Depends-Arch during -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Jan 2018 17:38:30 +0100

adacontrol (1.19r10-1) unstable; urgency=medium

  * New upstream release.
    Applied patches: fix-texinfo, put_ldflags_before_ldlibs.
    New patches: bashism, build_adactl_fix, test-report-error, test_version,
    reproducible-no-last-update.
  * Handle new executable adactl_fix.
  * Debhelper: 11. Simplify doc installation.
  * Standards-Version: 4.1.3.
  * Build-Depends: split common, -arch and -indep,
    drop obsolete dpkg-dev minimal version,
    add dos2unix now required by build-time tests.
  * Add new option to adactl manpage. Fix some typos.
  * Handle DEB_BUILD_OPTIONS=nocheck.
  * Remove trailing whitespaces in this changelog.
  * Lintian override for minor unfixable issues.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Jan 2018 00:44:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.0.1
-Build-Depends: gnat (>= 4.9),
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
+Build-Depends-Arch: gnat (>= 4.9),
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
  libasis2017-dev,
  libgnatcoll16.1.0-dev,
 # gprbuild handling gnat-6
  gprbuild (>= 2015-2),
- debhelper (>= 10), dpkg-dev (>= 1.16.1)
-# dpkg-dev: /usr/share/dpkg/default.mk
+ dos2unix
+# test/run.sh
 Build-Depends-Indep:
  texinfo, texlive-base, texlive-plain-generic, texlive-latex-base,
  texlive-fonts-recommended
@@ -37,6 +38,7 @@
     name
   * ptree: Prints a graphic representation of an ASIS tree with corresponding
     source
+  * adactl_fix: automatically fix some violations.
 
 Package: adacontrol-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,16 @@
 # The full text of the GNU General Public License is in the file
 # /usr/share/common-licenses/GPL on Debian systems.
 
-gnatgcc_base_version := $(shell gnatgcc -dumpversion)
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging-$(gnatgcc_base_version).mk
-ADAFLAGS += -gnatwa
+ifneq (,$(wildcard /usr/bin/gnatgcc)) # Build-Depends-Arch are installed.
+  gnat_version := $(shell /usr/bin/gnatgcc --version | sed -n '1s/.* //p')
+  gnat_base_version := $(basename $(basename $(gnat_version)))
+  include /usr/share/ada/debian_packaging-$(gnat_base_version).mk
+  ADAFLAGS += -gnatwa
+endif
+
+executables := adactl pfni ptree adactl_fix
 
 %:
 	dh $@
@@ -32,7 +37,8 @@
 	$(MAKE) build 'CARGS=$(ADAFLAGS)' \
 	  'GARGS=$(BUILDER_OPTIONS) "-XLDFLAGS=$(LDFLAGS)"'
 override_dh_auto_clean::
-	$(MAKE) veryclean
+  # Rewrite the veryclean target without Build-Depends-Arch.
+	rm -f src/*.ali src/*.o $(foreach e,$(executables),$(e) src/$(e).bexch src/b__$(e).ad[bs])
 
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -46,16 +52,17 @@
 	  doc/adacontrol_??.pdf
 
 override_dh_auto_test-arch:
-	cd test && sh -e run.sh
+  ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd test && ./run.sh
+  endif
 override_dh_auto_clean::
 	rm -fr test/res
 	rm -f $(addprefix test/,*.ali *.adt)
 
-GNAT_VERSION := $(shell gnat --version | head -n1)
 override_dh_auto_test-arch: test/ref/tfw_help.txt~
 test/ref/tfw_help.txt~:
 	sed -i~ \
-	  's/^\(ADACTL v\. \).*\( with ASIS .* for \)GNAT .*/\1$(DEB_VERSION_UPSTREAM)\2$(GNAT_VERSION)/' \
+	  's/^\(ADACTL v\. \).*\( with ASIS .* for GNAT \).*/\1$(DEB_VERSION_UPSTREAM)\2$(gnat_version)/' \
 	  test/ref/tfw_help.txt
 override_dh_auto_clean::
 	if test -f test/ref/tfw_help.txt~; then \

## adacontrol 1.20r7

=== Makefile ===
###############################################################################
# GNAT options, adjust to your taste
# GARGS: general (gprbuild) options
# CARGS, BARGS, LARGS: content of -cargs, -bargs, -largs options
# Note that these override the options in build.gpr
GARGS = 
CARGS = 
BARGS =  
LARGS =  


###############################################################################
# Do not change anything below this line

.PHONY : *

executables := adactl adactl_fix ptree pfni

help :
	@echo "---------------------------------------------------------------"
	@echo "--                                                           --"
	@echo "--    make <entry>                                           --"
	@echo "--                                                           --"
	@echo "--    <entry> ::= help       -- print this message           --"
	@echo "--              | build      -- build all executables        --"
	@$(foreach e,$(executables),printf --\
	      "--              | %-11s-- build %-23s--\n" $(e) $(e);)
	@echo "--              | install    -- install everything           --"
	@echo "--              | clean      -- delete object files          --"
	@echo "--              | veryclean  -- clean + delete executable    --"
	@echo "--                                                           --"
	@echo "---------------------------------------------------------------"

build : $(executables);

$(executables) :
	gprbuild build.gpr $@ ${GARGS} -cargs ${CARGS} -bargs ${BARGS} -largs ${LARGS}

install :
	gprinstall build.gpr -f -p

clean :
	gprclean -c build.gpr

veryclean : clean
	gprclean build.gpr

=== debian/changelog ===
adacontrol (1.20r7-3) unstable; urgency=medium

  * Ignore tests, but let them produce a log as suggested in #926747.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Apr 2019 10:45:47 +0200

adacontrol (1.20r7-2) unstable; urgency=medium

  * Disable tests, lowering the severity of #924835.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 04 Apr 2019 21:13:55 +0200

adacontrol (1.20r7-1) unstable; urgency=medium

  * New upstream release.
  * Debhelper 12.
  * Standards-Version: 4.3.0.
  * Disable broken fix_tfw_gpr test.
  * Only include dpkg minimal snippet, only during -arch builds.
  * Condition tests with both DEB_BUILD_{PROFILES,OPTIONS}.
  * In run time tests, update ADTTMP to AUTOPKGTEST_TMP.
  * Add upstream/metadata.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Jan 2019 12:12:45 +0100

adacontrol (1.19r10-4) unstable; urgency=medium

  * Reupload to unstable.
  * Standards-Version: 4.1.5. Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 27 Jul 2018 19:28:15 +0200

adacontrol (1.19r10-3) experimental; urgency=medium

  * Rebuild with gnat-8, libgnatcoll17-dev, libasis2017-dev.
  * Standards-version 4.1.4.
  * Patch the tests to use gnatgcc instead of gcc.
  * Remove overrides for pedantic lintian messages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 18:42:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Arch: gnat (>= 4.9),
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
- libasis2017-dev,
- libgnatcoll16.1.0-dev,
+ libasis2018-dev,
+ libgnatcoll17-dev,
 # gprbuild handling gnat-6
  gprbuild (>= 2015-2),
  dos2unix

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for adacontrol.
 # Copyright (c) 2006-2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2014-2017 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2019 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,9 +16,10 @@
 # The full text of the GNU General Public License is in the file
 # /usr/share/common-licenses/GPL on Debian systems.
 
-DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
 ifneq (,$(wildcard /usr/bin/gnatgcc)) # Build-Depends-Arch are installed.
+  DEB_BUILD_MAINT_OPTIONS := hardening=+all
+  DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-undefined
+  include /usr/share/dpkg/buildflags.mk
   gnat_version := $(shell /usr/bin/gnatgcc --version | sed -n '1s/.* //p')
   gnat_base_version := $(basename $(basename $(gnat_version)))
   include /usr/share/ada/debian_packaging-$(gnat_base_version).mk
@@ -52,22 +53,16 @@
 	  doc/adacontrol_??.pdf
 
 override_dh_auto_test-arch:
-  ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd test && ./run.sh
+  ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+# Ignore build-time tests so that the severity of #924835 can be
+# lowered and the package accepted into buster.  An actual fix
+# requires a bit more time and probably a longer diff.
+# Produce the log nevertheless.
+	-cd test && sh run.sh
   endif
 override_dh_auto_clean::
 	rm -fr test/res
 	rm -f $(addprefix test/,*.ali *.adt)
-
-override_dh_auto_test-arch: test/ref/tfw_help.txt~
-test/ref/tfw_help.txt~:
-	sed -i~ \
-	  's/^\(ADACTL v\. \).*\( with ASIS .* for GNAT \).*/\1$(DEB_VERSION_UPSTREAM)\2$(gnat_version)/' \
-	  test/ref/tfw_help.txt
-override_dh_auto_clean::
-	if test -f test/ref/tfw_help.txt~; then \
-	  mv test/ref/tfw_help.txt~ test/ref/tfw_help.txt; \
-	fi
 
 # Adactl cannot open compressed rules.
 # PDF files are already internally compressed.

## adacontrol 1.21r3

=== debian/changelog ===
adacontrol (1.21r3-3) unstable; urgency=medium

  * Disable a crashing test. Closes: #932452.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 20 Jul 2019 13:46:19 +0200

adacontrol (1.21r3-2) unstable; urgency=medium

  * Run the test script with bash instead of sh.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 19 Jul 2019 14:00:02 +0200

adacontrol (1.21r3-1) unstable; urgency=medium

  * New upstream release, fixing tests. Closes: #924835.
  * Upload to unstable, freeze is over.
  * Move version control system to salsa.debian.org.
  * Drop obsolete build-depends version restriction.
  * Standards-Version: 4.4.0

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 19 Jul 2019 10:49:34 +0200

adacontrol (1.20r9-1) experimental; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 01 Mar 2019 17:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12)
-Build-Depends-Arch: gnat (>= 4.9),
+Build-Depends-Arch:
+ gnat,
 # gnat (via gnat-X.Y): /usr/share/ada/debian_packaging*.mk
  libasis2018-dev,
  libgnatcoll17-dev,
@@ -18,8 +19,8 @@
 Build-Depends-Indep:
  texinfo, texlive-base, texlive-plain-generic, texlive-latex-base,
  texlive-fonts-recommended
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.adacontrol
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.adacontrol
+Vcs-Browser: https://salsa.debian.org/debian/adacontrol
+Vcs-Git: https://salsa.debian.org/debian/adacontrol.git -b debian/master
 
 Package: adacontrol
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,15 @@
 # The full text of the GNU General Public License is in the file
 # /usr/share/common-licenses/GPL on Debian systems.
 
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_ADAFLAGS_MAINT_APPEND := -gnatwa
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-undefined
+
 ifneq (,$(wildcard /usr/bin/gnatgcc)) # Build-Depends-Arch are installed.
-  DEB_BUILD_MAINT_OPTIONS := hardening=+all
-  DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-undefined
   include /usr/share/dpkg/buildflags.mk
   gnat_version := $(shell /usr/bin/gnatgcc --version | sed -n '1s/.* //p')
   gnat_base_version := $(basename $(basename $(gnat_version)))
   include /usr/share/ada/debian_packaging-$(gnat_base_version).mk
-  ADAFLAGS += -gnatwa
 endif
 
 executables := adactl pfni ptree adactl_fix
@@ -54,11 +55,7 @@
 
 override_dh_auto_test-arch:
   ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-# Ignore build-time tests so that the severity of #924835 can be
-# lowered and the package accepted into buster.  An actual fix
-# requires a bit more time and probably a longer diff.
-# Produce the log nevertheless.
-	-cd test && sh run.sh
+	cd test && bash run.sh
   endif
 override_dh_auto_clean::
 	rm -fr test/res
